You need to specify the sdk(lib dir), for extjs 4.1 try:


sencha -sdk ../ext-4.1.1a/ generate app extjs .